import { core, flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Info extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.Option<string>>;
        showonlylatest: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresUsername: boolean;
    run(): Promise<AnyJson>;
    getSandboxInfo(conn: core.Connection, name: string): Promise<any[]>;
    processSandboxInfo(sandboxRecords: any, conn: any, isShowOnlyLatest: any): Promise<any[]>;
    getDetailedSandboxInfo(sandboxInfoUl: string, conn: core.Connection): Promise<any>;
}
